﻿@model JavnaNabava.Model.PonudaStrucnjak

@{
    ViewData["Title"] = "Dodaj stručnjaka na ponudu";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Dodaj stručnjaka na ponudu</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="CreatePonudaStrucnjak">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="FkPonudaId" class="control-label"></label>
                <select asp-for="FkPonudaId" class="form-control" asp-items="ViewBag.ponude">
                    <option selected value="" disabled>Odaberite ID ponude</option>
                </select>
            </div>
            <div class="form-group">
                <label asp-for="FkNatjecajStrucnjaciId" class="control-label"></label>
                <select asp-for="FkNatjecajStrucnjaciId" class="form-control" asp-items="ViewBag.natjecajStrucnjaci">
                    <option selected value="" disabled>Odaberite ID natječaja</option>
                </select>
            </div>
            <div class="form-group">
                <label asp-for="FkOsobaOib" class="control-label"></label>
                <select asp-for="FkOsobaOib" class="form-control" asp-items="ViewBag.osobe">
                    <option selected value="" disabled>Odaberite stručnjaka</option>
                </select>
            </div>
            <div class="form-group">
                <button asp-action="ProcessCreate" class="btn btn-primary" type="submit">Dodaj</button>
                <a asp-action="Index" class="btn btn-secondary">Odustani</a>
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Natrag na popis</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
